Reads image from open filehandle

- « Imagick::readImageBlob

- Imagick::readimages »

- PHP Manual
- Imagick
- Reads image from open filehandle

# Imagick::readImageFile

(PECL imagick 2, PECL imagick 3)

Imagick::readImageFile — Reads image from open filehandle

### Description

public Imagick::readImageFile(resource `$filehandle`, string `$fileName` = `null`): bool

Reads image from open filehandle

### Parameters

`filehandle`

`fileName`

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.